CON

  _CLKMODE            = XTAL1 + PLL16X
  _XINFREQ            = 5_000_000

  TX                  = 30
  RX                  = 31
  COMM_MODE           = 0
  COMM_BAUD_RATE      = 115_200
               
VAR

  BYTE bFieldElement_4[7]
  BYTE bFieldElement_5[7]
             
OBJ

  Terminal:     "FullDuplexSerial"
 
PUB Main

  bFieldElement_4[0] := "-" 
  bFieldElement_4[1] := "9"
  bFieldElement_4[2] := "9"
  bFieldElement_4[3] := "."
  bFieldElement_4[4] := "9"
  bFieldElement_4[5] := "9"

  bFieldElement_5[0] := "1"
  bFieldElement_5[1] := "1"
  bFieldElement_5[2] := "."
  bFieldElement_5[3] := "1"
  bFieldElement_5[4] := "1"
  
  Terminal.Start(RX, TX, COMM_MODE, COMM_BAUD_RATE)
  
  WAITCNT(CNT + (1 * CLKFREQ))

  ProcessCoordinate(@bFieldElement_4)

  ProcessCoordinate(@bFieldElement_5)

  Terminal.Str(STRING("Finished"))

PUB ProcessCoordinate(StrPtr) | Index, Char

  Index := 0

  REPEAT

    Char := BYTE[StrPtr]'[Index]

    IF(Char >= "0" AND Char =< "9")
      Terminal.Str(STRING("0-9"))
      Terminal.Tx(13)

    IF(Char == "-")
      Terminal.Str(STRING("Minus"))
      Terminal.Tx(13)

    IF(Char == ".")
      Terminal.Str(STRING("Period"))
      Terminal.Tx(13)

    Index++

  WHILE((Char => "0") AND (Char =< "9")) OR (Char == ".") OR (Char == "-")